<?php


return  
    [
        'model' => [
            'model' => \Litecms\Exporter\Models\Yardi::class,
            'table' => 'litecms_exporter_yardis',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['type',  'last_export_at',  'last_export_id',  'user_id',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'exporter/yardi',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "type", 
                "type" => "text", 
                "label" => 'exporter::yardi.label.type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "last_export_at", 
                "type" => "text", 
                "label" => 'exporter::yardi.label.last_export_at', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "last_export_id", 
                "type" => "text", 
                "label" => 'exporter::yardi.label.last_export_id', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'exporter::yardi.label.type',
                "placeholder" => 'exporter::yardi.placeholder.type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'last_export_at',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'exporter::yardi.label.last_export_at',
                "placeholder" => 'exporter::yardi.placeholder.last_export_at',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'last_export_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'exporter::yardi.label.last_export_id',
                "placeholder" => 'exporter::yardi.placeholder.last_export_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'exporter/yardi/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'exporter/yardi/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'exporter/yardi',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'exporter/yardi',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'exporter/yardi',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'exporter/yardi',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'exporter::yardi.label.created_at',
            'name' => 'exporter::yardi.label.name',
            'status' => 'exporter::yardi.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "exporter::yardi.groups.main",
                'group' => "main.main",
                'title' => "exporter::yardi.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "exporter::yardi.groups.details",
                'group' => "main.details",
                'title' => "exporter::yardi.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "exporter::yardi.groups.images",
                'group' => "main.images",
                'title' => "exporter::yardi.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "exporter::yardi.groups.settings",
                'group' => "main.settings",
                'title' => "exporter::yardi.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Exporter',
            'module' => 'Yardi',
        ],

        
        
    ];
