<?php

namespace Litecms\Exporter\Policies;

use Illuminate\Foundation\Auth\User as Authenticatable;
use Litecms\Exporter\Models\Yardi;

class YardiPolicy
{


    /**
     * Determine if the given user can view the yardi.
     *
     * @param Authenticatable $user
     * @param Yardi $yardi
     *
     * @return bool
     */
    public function view(Authenticatable $user, Yardi $yardi)
    {
        if ($authUser->canDo('exporter.yardi.view') && $authUser->isAdmin() || $user->isClient()) {
            return true;
        }

        return $yardi->is_owner;
    }

    /**
     * Determine if the given user can create a yardi.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function create(Authenticatable $user)
    {
        return  $authUser->canDo('exporter.yardi.create');
    }

    /**
     * Determine if the given user can update the given yardi.
     *
     * @param Authenticatable $user
     * @param Yardi $yardi
     *
     * @return bool
     */
    public function update(Authenticatable $user, Yardi $yardi)
    {
        if ($user->canDo('exporter.yardi.edit') && $user->isAdmin()) {
            return true;
        }

        return $yardi->is_owner;
    }

    /**
     * Determine if the given user can delete the given yardi.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function destroy(Authenticatable $user, Yardi $yardi)
    {
        return $yardi->is_owner;
    }

    /**
     * Determine if the user can perform a given action ve.
     *
     * @param [type] $user    [description]
     * @param [type] $ability [description]
     *
     * @return [type] [description]
     */
    public function before($user, $ability)
    {
        if ($user->isSuperuser()) {
            return true;
        }
    }
}
